Critical IE Patch Released

A critical security patch has been released for all IE versions prior to Edge. This is a vulnerability that can infect user simply by browsing to a malicious site. Users should patch whether they use IE as their primary browser or not as IE is used by a number of other applications.

According to Qualys, this vulnerability is already being exploited in the wild.

Leave a Reply